
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>VSL &#8212; Varnish version 6.0.11 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/classic.css" />
    
    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="vsl-query" href="vsl-query.html" />
    <link rel="prev" title="varnish-counters" href="varnish-counters.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="vsl-query.html" title="vsl-query"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="varnish-counters.html" title="varnish-counters"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">The Varnish Reference Manual</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">VSL</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="vsl">
<span id="vsl-7"></span><h1>VSL<a class="headerlink" href="#vsl" title="Permalink to this headline">¶</a></h1>
<section id="varnish-shared-memory-logging">
<h2>Varnish Shared Memory Logging<a class="headerlink" href="#varnish-shared-memory-logging" title="Permalink to this headline">¶</a></h2>
<dl class="field-list simple">
<dt class="field-odd">Manual section</dt>
<dd class="field-odd"><p>7</p>
</dd>
</dl>
<section id="overview">
<h3>OVERVIEW<a class="headerlink" href="#overview" title="Permalink to this headline">¶</a></h3>
<p>This document describes the format and content of all the Varnish shared memory
logging tags. These tags are used by the varnishlog(1), varnishtop(1), etc.
logging tools supplied with Varnish.</p>
<section id="vsl-tags">
<h4>VSL tags<a class="headerlink" href="#vsl-tags" title="Permalink to this headline">¶</a></h4>
<dl>
<dt>Backend - Backend selected</dt><dd><p>Logged when a connection is selected for handling a backend request.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">s</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">+-</span> <span class="n">Backend</span> <span class="n">display</span> <span class="n">name</span>
<span class="o">|</span>  <span class="o">+----</span> <span class="n">VCL</span> <span class="n">name</span>
<span class="o">+-------</span> <span class="n">Connection</span> <span class="n">file</span> <span class="n">descriptor</span>

<span class="n">NOTE</span><span class="p">:</span> <span class="n">This</span> <span class="n">tag</span> <span class="ow">is</span> <span class="n">currently</span> <span class="ow">not</span> <span class="ow">in</span> <span class="n">use</span> <span class="ow">in</span> <span class="n">the</span> <span class="n">Varnish</span> <span class="n">log</span><span class="o">.</span>
<span class="n">It</span> <span class="ow">is</span> <span class="n">mentioned</span> <span class="n">here</span> <span class="n">to</span> <span class="n">document</span> <span class="n">legacy</span> <span class="n">versions</span> <span class="n">of</span> <span class="n">the</span> <span class="n">log</span><span class="p">,</span>
<span class="ow">or</span> <span class="n">reserved</span> <span class="k">for</span> <span class="n">possible</span> <span class="n">use</span> <span class="ow">in</span> <span class="n">future</span> <span class="n">versions</span><span class="o">.</span>
</pre></div>
</div>
</dd>
<dt>BackendClose - Backend connection closed</dt><dd><p>Logged when a backend connection is closed.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">s</span> <span class="p">[</span> <span class="o">%</span><span class="n">s</span> <span class="p">]</span>
<span class="o">|</span>  <span class="o">|</span>    <span class="o">|</span>
<span class="o">|</span>  <span class="o">|</span>    <span class="o">+-</span> <span class="n">Optional</span> <span class="n">reason</span>
<span class="o">|</span>  <span class="o">+------</span> <span class="n">Backend</span> <span class="n">display</span> <span class="n">name</span>
<span class="o">+---------</span> <span class="n">Connection</span> <span class="n">file</span> <span class="n">descriptor</span>
</pre></div>
</div>
</dd>
<dt>BackendOpen - Backend connection opened</dt><dd><p>Logged when a new backend connection is opened.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">s</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-</span> <span class="n">Local</span> <span class="n">port</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+----</span> <span class="n">Local</span> <span class="n">address</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-------</span> <span class="n">Remote</span> <span class="n">port</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">+----------</span> <span class="n">Remote</span> <span class="n">address</span>
<span class="o">|</span>  <span class="o">+-------------</span> <span class="n">Backend</span> <span class="n">display</span> <span class="n">name</span>
<span class="o">+----------------</span> <span class="n">Connection</span> <span class="n">file</span> <span class="n">descriptor</span>
</pre></div>
</div>
</dd>
<dt>BackendReuse - Backend connection put up for reuse</dt><dd><p>Logged when a backend connection is put up for reuse by a later connection.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">s</span>
<span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">+-</span> <span class="n">Backend</span> <span class="n">display</span> <span class="n">name</span>
<span class="o">+----</span> <span class="n">Connection</span> <span class="n">file</span> <span class="n">descriptor</span>
</pre></div>
</div>
</dd>
<dt>BackendStart - Backend request start</dt><dd><p>Start of backend processing. Logs the backend IP address and port number.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">s</span>
<span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">+-</span> <span class="n">Backend</span> <span class="n">Port</span> <span class="n">number</span>
<span class="o">+----</span> <span class="n">Backend</span> <span class="n">IP4</span><span class="o">/</span><span class="mi">6</span> <span class="n">address</span>
</pre></div>
</div>
</dd>
<dt>Backend_health - Backend health check</dt><dd><p>The result of a backend health probe.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">u</span> <span class="o">%</span><span class="n">u</span> <span class="o">%</span><span class="n">u</span> <span class="o">%</span><span class="n">f</span> <span class="o">%</span><span class="n">f</span> <span class="o">%</span><span class="n">s</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-</span> <span class="n">Probe</span> <span class="n">HTTP</span> <span class="n">response</span> <span class="o">/</span> <span class="n">error</span> <span class="n">information</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+----</span> <span class="n">Average</span> <span class="n">response</span> <span class="n">time</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-------</span> <span class="n">Response</span> <span class="n">time</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+----------</span> <span class="n">Probe</span> <span class="n">window</span> <span class="n">size</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-------------</span> <span class="n">Probe</span> <span class="n">threshold</span> <span class="n">level</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+----------------</span> <span class="n">Number</span> <span class="n">of</span> <span class="n">good</span> <span class="n">probes</span> <span class="ow">in</span> <span class="n">window</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-------------------</span> <span class="n">Probe</span> <span class="n">window</span> <span class="n">bits</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">+----------------------</span> <span class="s2">&quot;healthy&quot;</span> <span class="ow">or</span> <span class="s2">&quot;sick&quot;</span>
<span class="o">|</span>  <span class="o">+-------------------------</span> <span class="s2">&quot;Back&quot;</span><span class="p">,</span> <span class="s2">&quot;Still&quot;</span> <span class="ow">or</span> <span class="s2">&quot;Went&quot;</span>
<span class="o">+----------------------------</span> <span class="n">Backend</span> <span class="n">name</span>
</pre></div>
</div>
<p>Probe window bits are:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="s1">&#39;4&#39;</span><span class="p">:</span> <span class="n">Good</span> <span class="n">IPv4</span>
<span class="s1">&#39;6&#39;</span><span class="p">:</span> <span class="n">Good</span> <span class="n">IPv6</span>
<span class="s1">&#39;U&#39;</span><span class="p">:</span> <span class="n">Good</span> <span class="n">UNIX</span>
<span class="s1">&#39;x&#39;</span><span class="p">:</span> <span class="n">Error</span> <span class="n">Xmit</span>
<span class="s1">&#39;X&#39;</span><span class="p">:</span> <span class="n">Good</span> <span class="n">Xmit</span>
<span class="s1">&#39;r&#39;</span><span class="p">:</span> <span class="n">Error</span> <span class="n">Recv</span>
<span class="s1">&#39;R&#39;</span><span class="p">:</span> <span class="n">Good</span> <span class="n">Recv</span>
<span class="s1">&#39;H&#39;</span><span class="p">:</span> <span class="n">Happy</span>
</pre></div>
</div>
</dd>
<dt>Begin - Marks the start of a VXID</dt><dd><p>The first record of a VXID transaction.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">s</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">+-</span> <span class="n">Reason</span>
<span class="o">|</span>  <span class="o">+----</span> <span class="n">Parent</span> <span class="n">vxid</span>
<span class="o">+-------</span> <span class="n">Type</span> <span class="p">(</span><span class="s2">&quot;sess&quot;</span><span class="p">,</span> <span class="s2">&quot;req&quot;</span> <span class="ow">or</span> <span class="s2">&quot;bereq&quot;</span><span class="p">)</span>
</pre></div>
</div>
</dd>
<dt>BereqAcct - Backend request accounting</dt><dd><p>Contains byte counters from backend request processing.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-</span> <span class="n">Total</span> <span class="nb">bytes</span> <span class="n">received</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+----</span> <span class="n">Body</span> <span class="nb">bytes</span> <span class="n">received</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-------</span> <span class="n">Header</span> <span class="nb">bytes</span> <span class="n">received</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">+----------</span> <span class="n">Total</span> <span class="nb">bytes</span> <span class="n">transmitted</span>
<span class="o">|</span>  <span class="o">+-------------</span> <span class="n">Body</span> <span class="nb">bytes</span> <span class="n">transmitted</span>
<span class="o">+----------------</span> <span class="n">Header</span> <span class="nb">bytes</span> <span class="n">transmitted</span>
</pre></div>
</div>
</dd>
<dt>BereqHeader - Backend request header</dt><dd><p>HTTP header contents.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">s</span><span class="p">:</span> <span class="o">%</span><span class="n">s</span>
<span class="o">|</span>   <span class="o">|</span>
<span class="o">|</span>   <span class="o">+-</span> <span class="n">Header</span> <span class="n">value</span>
<span class="o">+-----</span> <span class="n">Header</span> <span class="n">name</span>
</pre></div>
</div>
</dd>
<dt>BereqMethod - Backend request method</dt><dd><p>The HTTP request method used.</p>
</dd>
<dt>BereqProtocol - Backend request protocol</dt><dd><p>The HTTP protocol version information.</p>
</dd>
<dt>BereqURL - Backend request URL</dt><dd><p>The HTTP request URL.</p>
</dd>
<dt>BerespHeader - Backend response header</dt><dd><p>HTTP header contents.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">s</span><span class="p">:</span> <span class="o">%</span><span class="n">s</span>
<span class="o">|</span>   <span class="o">|</span>
<span class="o">|</span>   <span class="o">+-</span> <span class="n">Header</span> <span class="n">value</span>
<span class="o">+-----</span> <span class="n">Header</span> <span class="n">name</span>
</pre></div>
</div>
</dd>
<dt>BerespProtocol - Backend response protocol</dt><dd><p>The HTTP protocol version information.</p>
</dd>
<dt>BerespReason - Backend response response</dt><dd><p>The HTTP response string received.</p>
</dd>
<dt>BerespStatus - Backend response status</dt><dd><p>The HTTP status code received.</p>
</dd>
<dt>BogoHeader - Bogus HTTP received</dt><dd><p>Contains the first 20 characters of received HTTP headers we could not make sense of.  Applies to both req.http and beresp.http.</p>
</dd>
<dt>CLI - CLI communication</dt><dd><p>CLI communication between varnishd master and child process.</p>
</dd>
<dt>Debug - Debug messages</dt><dd><p>Debug messages can normally be ignored, but are sometimes helpful during trouble-shooting.  Most debug messages must be explicitly enabled with parameters.</p>
<p>Debug messages may be added, changed or removed without prior notice and shouldn’t be considered stable.</p>
</dd>
<dt>ESI_xmlerror - ESI parser error or warning message</dt><dd><p>An error or warning was generated during parsing of an ESI object. The log record describes the problem encountered.</p>
</dd>
<dt>End - Marks the end of a VXID</dt><dd><p>The last record of a VXID transaction.</p>
</dd>
<dt>Error - Error messages</dt><dd><p>Error messages are stuff you probably want to know.</p>
</dd>
<dt>ExpBan - Object evicted due to ban</dt><dd><p>Logs the VXID when an object is banned.</p>
</dd>
<dt>ExpKill - Object expiry event</dt><dd><p>Logs events related to object expiry. The events are:</p>
<dl class="simple">
<dt>EXP_Rearm</dt><dd><p>Logged when the expiry time of an object changes.</p>
</dd>
<dt>EXP_Inbox</dt><dd><p>Logged when the expiry thread picks an object from the inbox for processing.</p>
</dd>
<dt>EXP_Kill</dt><dd><p>Logged when the expiry thread kills an object from the inbox.</p>
</dd>
<dt>EXP_When</dt><dd><p>Logged when the expiry thread moves an object on the binheap.</p>
</dd>
<dt>EXP_Expired</dt><dd><p>Logged when the expiry thread expires an object.</p>
</dd>
<dt>LRU_Cand</dt><dd><p>Logged when an object is evaluated for LRU force expiry.</p>
</dd>
<dt>LRU</dt><dd><p>Logged when an object is force expired due to LRU.</p>
</dd>
<dt>LRU_Fail</dt><dd><p>Logged when no suitable candidate object is found for LRU force expiry.</p>
</dd>
</dl>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">EXP_Rearm</span> <span class="n">p</span><span class="o">=%</span><span class="n">p</span> <span class="n">E</span><span class="o">=%</span><span class="n">f</span> <span class="n">e</span><span class="o">=%</span><span class="n">f</span> <span class="n">f</span><span class="o">=</span><span class="mi">0</span><span class="n">x</span><span class="o">%</span><span class="n">x</span>
<span class="n">EXP_Inbox</span> <span class="n">p</span><span class="o">=%</span><span class="n">p</span> <span class="n">e</span><span class="o">=%</span><span class="n">f</span> <span class="n">f</span><span class="o">=</span><span class="mi">0</span><span class="n">x</span><span class="o">%</span><span class="n">x</span>
<span class="n">EXP_Kill</span> <span class="n">p</span><span class="o">=%</span><span class="n">p</span> <span class="n">e</span><span class="o">=%</span><span class="n">f</span> <span class="n">f</span><span class="o">=</span><span class="mi">0</span><span class="n">x</span><span class="o">%</span><span class="n">x</span>
<span class="n">EXP_When</span> <span class="n">p</span><span class="o">=%</span><span class="n">p</span> <span class="n">e</span><span class="o">=%</span><span class="n">f</span> <span class="n">f</span><span class="o">=</span><span class="mi">0</span><span class="n">x</span><span class="o">%</span><span class="n">x</span>
<span class="n">EXP_Expired</span> <span class="n">x</span><span class="o">=%</span><span class="n">u</span> <span class="n">t</span><span class="o">=%</span><span class="n">f</span>
<span class="n">LRU_Cand</span> <span class="n">p</span><span class="o">=%</span><span class="n">p</span> <span class="n">f</span><span class="o">=</span><span class="mi">0</span><span class="n">x</span><span class="o">%</span><span class="n">x</span> <span class="n">r</span><span class="o">=%</span><span class="n">d</span>
<span class="n">LRU</span> <span class="n">x</span><span class="o">=%</span><span class="n">u</span>
<span class="n">LRU_Fail</span>

<span class="n">Legend</span><span class="p">:</span>
<span class="n">p</span><span class="o">=%</span><span class="n">p</span>         <span class="n">Objcore</span> <span class="n">pointer</span>
<span class="n">t</span><span class="o">=%</span><span class="n">f</span>         <span class="n">Remaining</span> <span class="n">TTL</span> <span class="p">(</span><span class="n">s</span><span class="p">)</span>
<span class="n">e</span><span class="o">=%</span><span class="n">f</span>         <span class="n">Expiry</span> <span class="n">time</span> <span class="p">(</span><span class="n">unix</span> <span class="n">epoch</span><span class="p">)</span>
<span class="n">E</span><span class="o">=%</span><span class="n">f</span>         <span class="n">Old</span> <span class="n">expiry</span> <span class="n">time</span> <span class="p">(</span><span class="n">unix</span> <span class="n">epoch</span><span class="p">)</span>
<span class="n">f</span><span class="o">=</span><span class="mi">0</span><span class="n">x</span><span class="o">%</span><span class="n">x</span>       <span class="n">Objcore</span> <span class="n">flags</span>
<span class="n">r</span><span class="o">=%</span><span class="n">d</span>         <span class="n">Objcore</span> <span class="n">refcount</span>
<span class="n">x</span><span class="o">=%</span><span class="n">u</span>         <span class="n">Object</span> <span class="n">VXID</span>
</pre></div>
</div>
</dd>
<dt>FetchError - Error while fetching object</dt><dd><p>Logs the error message of a failed fetch operation.</p>
<p>Error messages should be self-explanatory, yet the http connection(HTC) class of errors is reported with these symbols:</p>
<blockquote>
<div><ul class="simple">
<li><p>junk (-5): Received unexpected data</p></li>
<li><p>close (-4): Connection closed</p></li>
<li><p>timeout (-3): Timed out</p></li>
<li><p>overflow (-2): Buffer/workspace too small</p></li>
<li><p>eof (-1): Unexpected end of input</p></li>
<li><p>empty (0): Empty response</p></li>
<li><p>more (1): More data required</p></li>
<li><p>complete (2): Data complete (no error)</p></li>
<li><p>idle (3): Connection was closed while idle</p></li>
</ul>
</div></blockquote>
<p>Notice that some HTC errors are never emitted.</p>
</dd>
<dt>Fetch_Body - Body fetched from backend</dt><dd><p>Ready to fetch body from backend.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">d</span> <span class="p">(</span><span class="o">%</span><span class="n">s</span><span class="p">)</span> <span class="o">%</span><span class="n">s</span>
<span class="o">|</span>   <span class="o">|</span>    <span class="o">|</span>
<span class="o">|</span>   <span class="o">|</span>    <span class="o">+----</span> <span class="s1">&#39;stream&#39;</span> <span class="ow">or</span> <span class="s1">&#39;-&#39;</span>
<span class="o">|</span>   <span class="o">+---------</span> <span class="n">Text</span> <span class="n">description</span> <span class="n">of</span> <span class="n">body</span> <span class="n">fetch</span> <span class="n">mode</span>
<span class="o">+-------------</span> <span class="n">Body</span> <span class="n">fetch</span> <span class="n">mode</span>
</pre></div>
</div>
</dd>
<dt>Filters - Body filters</dt><dd><p>List of filters applied to the body.</p>
<blockquote>
<div><p>NOTE: This tag is currently not in use in the Varnish log.
It is mentioned here to document legacy versions of the log,
or reserved for possible use in future versions.</p>
</div></blockquote>
</dd>
<dt>Gzip - G(un)zip performed on object</dt><dd><p>A Gzip record is emitted for each instance of gzip or gunzip work performed. Worst case, an ESI transaction stored in gzip’ed objects but delivered gunziped, will run into many of these.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">c</span> <span class="o">%</span><span class="n">c</span> <span class="o">%</span><span class="n">c</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-</span> <span class="n">Bit</span> <span class="n">length</span> <span class="n">of</span> <span class="n">compressed</span> <span class="n">data</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+----</span> <span class="n">Bit</span> <span class="n">location</span> <span class="n">of</span> <span class="s1">&#39;last&#39;</span> <span class="n">bit</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-------</span> <span class="n">Bit</span> <span class="n">location</span> <span class="n">of</span> <span class="n">first</span> <span class="n">deflate</span> <span class="n">block</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+----------</span> <span class="n">Bytes</span> <span class="n">output</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-------------</span> <span class="n">Bytes</span> <span class="nb">input</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">+----------------</span> <span class="s1">&#39;E&#39;</span><span class="p">:</span> <span class="n">ESI</span><span class="p">,</span> <span class="s1">&#39;-&#39;</span><span class="p">:</span> <span class="n">Plain</span> <span class="nb">object</span>
<span class="o">|</span>  <span class="o">+-------------------</span> <span class="s1">&#39;F&#39;</span><span class="p">:</span> <span class="n">Fetch</span><span class="p">,</span> <span class="s1">&#39;D&#39;</span><span class="p">:</span> <span class="n">Deliver</span>
<span class="o">+----------------------</span> <span class="s1">&#39;G&#39;</span><span class="p">:</span> <span class="n">Gzip</span><span class="p">,</span> <span class="s1">&#39;U&#39;</span><span class="p">:</span> <span class="n">Gunzip</span><span class="p">,</span> <span class="s1">&#39;u&#39;</span><span class="p">:</span> <span class="n">Gunzip</span><span class="o">-</span><span class="n">test</span>
</pre></div>
</div>
<p>Examples:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">U</span> <span class="n">F</span> <span class="n">E</span> <span class="mi">182</span> <span class="mi">159</span> <span class="mi">80</span> <span class="mi">80</span> <span class="mi">1392</span>
<span class="n">G</span> <span class="n">F</span> <span class="n">E</span> <span class="mi">159</span> <span class="mi">173</span> <span class="mi">80</span> <span class="mi">1304</span> <span class="mi">1314</span>
</pre></div>
</div>
</dd>
<dt>H2RxBody - Received HTTP2 frame body</dt><dd><p>Binary data</p>
</dd>
<dt>H2RxHdr - Received HTTP2 frame header</dt><dd><p>Binary data</p>
</dd>
<dt>H2TxBody - Transmitted HTTP2 frame body</dt><dd><p>Binary data</p>
</dd>
<dt>H2TxHdr - Transmitted HTTP2 frame header</dt><dd><p>Binary data</p>
</dd>
<dt>Hash - Value added to hash</dt><dd><p>This value was added to the object lookup hash.</p>
<p>NB: This log record is masked by default.</p>
</dd>
<dt>Hit - Hit object in cache</dt><dd><p>Object looked up in cache.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">u</span> <span class="o">%</span><span class="n">f</span> <span class="o">%</span><span class="n">f</span> <span class="o">%</span><span class="n">f</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-</span> <span class="n">Keep</span> <span class="n">period</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">+----</span> <span class="n">Grace</span> <span class="n">period</span>
<span class="o">|</span>  <span class="o">+-------</span> <span class="n">Remaining</span> <span class="n">TTL</span>
<span class="o">+----------</span> <span class="n">VXID</span> <span class="n">of</span> <span class="n">the</span> <span class="nb">object</span>
</pre></div>
</div>
</dd>
<dt>HitMiss - Hit for miss object in cache.</dt><dd><p>Hit-for-miss object looked up in cache.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">u</span> <span class="o">%</span><span class="n">f</span>
<span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">+-</span> <span class="n">Remaining</span> <span class="n">TTL</span>
<span class="o">+----</span> <span class="n">VXID</span> <span class="n">of</span> <span class="n">the</span> <span class="nb">object</span>
</pre></div>
</div>
</dd>
<dt>HitPass - Hit for pass object in cache.</dt><dd><p>Hit-for-pass object looked up in cache.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">u</span> <span class="o">%</span><span class="n">f</span>
<span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">+-</span> <span class="n">Remaining</span> <span class="n">TTL</span>
<span class="o">+----</span> <span class="n">VXID</span> <span class="n">of</span> <span class="n">the</span> <span class="nb">object</span>
</pre></div>
</div>
</dd>
<dt>HttpGarbage - Unparseable HTTP request</dt><dd><p>Logs the content of unparseable HTTP requests.</p>
</dd>
<dt>Length - Size of object body</dt><dd><p>Logs the size of a fetch object body.</p>
</dd>
<dt>Link - Links to a child VXID</dt><dd><p>Links this VXID to any child VXID it initiates.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">s</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">+-</span> <span class="n">Reason</span>
<span class="o">|</span>  <span class="o">+----</span> <span class="n">Child</span> <span class="n">vxid</span>
<span class="o">+-------</span> <span class="n">Child</span> <span class="nb">type</span> <span class="p">(</span><span class="s2">&quot;req&quot;</span> <span class="ow">or</span> <span class="s2">&quot;bereq&quot;</span><span class="p">)</span>
</pre></div>
</div>
</dd>
<dt>LostHeader - Failed attempt to set HTTP header</dt><dd><p>Logs the header name of a failed HTTP header operation due to resource exhaustion or configured limits.</p>
</dd>
<dt>Notice - Informational messages about request handling</dt><dd><p>Informational log messages on events occured during request handling. Lines are prefixed with either [core] or [&lt;VMOD name&gt;]. See the NOTICE MESSAGES section below or the individual VMOD manual pages for detailed information of notice messages.</p>
</dd>
<dt>ObjHeader - Object  header</dt><dd><p>HTTP header contents.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">s</span><span class="p">:</span> <span class="o">%</span><span class="n">s</span>
<span class="o">|</span>   <span class="o">|</span>
<span class="o">|</span>   <span class="o">+-</span> <span class="n">Header</span> <span class="n">value</span>
<span class="o">+-----</span> <span class="n">Header</span> <span class="n">name</span>
</pre></div>
</div>
</dd>
<dt>ObjProtocol - Object  protocol</dt><dd><p>The HTTP protocol version information.</p>
</dd>
<dt>ObjReason - Object  response</dt><dd><p>The HTTP response string received.</p>
</dd>
<dt>ObjStatus - Object  status</dt><dd><p>The HTTP status code received.</p>
</dd>
<dt>PipeAcct - Pipe byte counts</dt><dd><p>Contains byte counters for pipe sessions.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-------</span> <span class="n">Piped</span> <span class="nb">bytes</span> <span class="n">to</span> <span class="n">client</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">+----------</span> <span class="n">Piped</span> <span class="nb">bytes</span> <span class="kn">from</span> <span class="nn">client</span>
<span class="o">|</span>  <span class="o">+-------------</span> <span class="n">Backend</span> <span class="n">request</span> <span class="n">headers</span>
<span class="o">+----------------</span> <span class="n">Client</span> <span class="n">request</span> <span class="n">headers</span>
</pre></div>
</div>
</dd>
<dt>Proxy - PROXY protocol information</dt><dd><p>PROXY protocol information.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">d</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-</span> <span class="n">server</span> <span class="n">port</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+----</span> <span class="n">server</span> <span class="n">ip</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">+-------</span> <span class="n">client</span> <span class="n">port</span>
<span class="o">|</span>  <span class="o">+----------</span> <span class="n">client</span> <span class="n">ip</span>
<span class="o">+-------------</span> <span class="n">PROXY</span> <span class="n">protocol</span> <span class="n">version</span>

<span class="n">All</span> <span class="n">fields</span> <span class="n">are</span> <span class="s2">&quot;local&quot;</span> <span class="k">for</span> <span class="n">PROXY</span> <span class="n">local</span> <span class="n">connections</span> <span class="p">(</span><span class="n">command</span> <span class="mh">0x0</span><span class="p">)</span>
</pre></div>
</div>
</dd>
<dt>ProxyGarbage - Unparseable PROXY request</dt><dd><p>A PROXY protocol header was unparseable.</p>
</dd>
<dt>ReqAcct - Request handling byte counts</dt><dd><p>Contains byte counts for the request handling.
The body bytes count includes transmission overhead (ie: chunked encoding).
ESI sub-requests show the body bytes this ESI fragment including any subfragments contributed to the top level request.
The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-</span> <span class="n">Total</span> <span class="nb">bytes</span> <span class="n">transmitted</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+----</span> <span class="n">Body</span> <span class="nb">bytes</span> <span class="n">transmitted</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-------</span> <span class="n">Header</span> <span class="nb">bytes</span> <span class="n">transmitted</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">+----------</span> <span class="n">Total</span> <span class="nb">bytes</span> <span class="n">received</span>
<span class="o">|</span>  <span class="o">+-------------</span> <span class="n">Body</span> <span class="nb">bytes</span> <span class="n">received</span>
<span class="o">+----------------</span> <span class="n">Header</span> <span class="nb">bytes</span> <span class="n">received</span>
</pre></div>
</div>
</dd>
<dt>ReqHeader - Client request header</dt><dd><p>HTTP header contents.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">s</span><span class="p">:</span> <span class="o">%</span><span class="n">s</span>
<span class="o">|</span>   <span class="o">|</span>
<span class="o">|</span>   <span class="o">+-</span> <span class="n">Header</span> <span class="n">value</span>
<span class="o">+-----</span> <span class="n">Header</span> <span class="n">name</span>
</pre></div>
</div>
</dd>
<dt>ReqMethod - Client request method</dt><dd><p>The HTTP request method used.</p>
</dd>
<dt>ReqProtocol - Client request protocol</dt><dd><p>The HTTP protocol version information.</p>
</dd>
<dt>ReqStart - Client request start</dt><dd><p>Start of request processing. Logs the client address, port number  and listener endpoint name (from the -a command-line argument).</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">s</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">+--</span> <span class="n">Listener</span> <span class="n">name</span> <span class="p">(</span><span class="kn">from</span> <span class="o">-</span><span class="n">a</span><span class="p">)</span>
<span class="o">|</span>  <span class="o">+-----</span> <span class="n">Client</span> <span class="n">Port</span> <span class="n">number</span> <span class="p">(</span><span class="mi">0</span> <span class="k">for</span> <span class="n">Unix</span> <span class="n">domain</span> <span class="n">sockets</span><span class="p">)</span>
<span class="o">+--------</span> <span class="n">Client</span> <span class="n">IP4</span><span class="o">/</span><span class="mi">6</span> <span class="n">address</span> <span class="p">(</span><span class="mf">0.0.0.0</span> <span class="k">for</span> <span class="n">UDS</span><span class="p">)</span>
</pre></div>
</div>
</dd>
<dt>ReqURL - Client request URL</dt><dd><p>The HTTP request URL.</p>
</dd>
<dt>RespHeader - Client response header</dt><dd><p>HTTP header contents.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">s</span><span class="p">:</span> <span class="o">%</span><span class="n">s</span>
<span class="o">|</span>   <span class="o">|</span>
<span class="o">|</span>   <span class="o">+-</span> <span class="n">Header</span> <span class="n">value</span>
<span class="o">+-----</span> <span class="n">Header</span> <span class="n">name</span>
</pre></div>
</div>
</dd>
<dt>RespProtocol - Client response protocol</dt><dd><p>The HTTP protocol version information.</p>
</dd>
<dt>RespReason - Client response response</dt><dd><p>The HTTP response string received.</p>
</dd>
<dt>RespStatus - Client response status</dt><dd><p>The HTTP status code received.</p>
</dd>
<dt>SessClose - Client connection closed</dt><dd><p>SessClose is the last record for any client connection.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">f</span>
<span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">+-</span> <span class="n">How</span> <span class="n">long</span> <span class="n">the</span> <span class="n">session</span> <span class="n">was</span> <span class="nb">open</span>
<span class="o">+----</span> <span class="n">Why</span> <span class="n">the</span> <span class="n">connection</span> <span class="n">closed</span>
</pre></div>
</div>
</dd>
<dt>SessError - Client connection accept failed</dt><dd><p>Accepting a client connection has failed.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">s</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-</span> <span class="n">Detailed</span> <span class="n">error</span> <span class="n">message</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+----</span> <span class="n">Error</span> <span class="n">Number</span> <span class="p">(</span><span class="n">errno</span><span class="p">)</span> <span class="kn">from</span> <span class="nn">accept</span><span class="p">(</span><span class="mi">2</span><span class="p">)</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-------</span> <span class="n">File</span> <span class="n">descriptor</span> <span class="n">number</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">+----------</span> <span class="n">Local</span> <span class="n">TCP</span> <span class="n">port</span> <span class="o">/</span> <span class="mi">0</span> <span class="k">for</span> <span class="n">UDS</span>
<span class="o">|</span>  <span class="o">+-------------</span> <span class="n">Local</span> <span class="n">IPv4</span><span class="o">/</span><span class="mi">6</span> <span class="n">address</span> <span class="o">/</span> <span class="mf">0.0.0.0</span> <span class="k">for</span> <span class="n">UDS</span>
<span class="o">+----------------</span> <span class="n">Socket</span> <span class="n">name</span> <span class="p">(</span><span class="kn">from</span> <span class="o">-</span><span class="n">a</span> <span class="n">argument</span><span class="p">)</span>

<span class="n">NOTE</span><span class="p">:</span> <span class="n">This</span> <span class="n">tag</span> <span class="ow">is</span> <span class="n">currently</span> <span class="ow">not</span> <span class="ow">in</span> <span class="n">use</span> <span class="ow">in</span> <span class="n">the</span> <span class="n">Varnish</span> <span class="n">log</span><span class="o">.</span>
<span class="n">It</span> <span class="ow">is</span> <span class="n">mentioned</span> <span class="n">here</span> <span class="n">to</span> <span class="n">document</span> <span class="n">legacy</span> <span class="n">versions</span> <span class="n">of</span> <span class="n">the</span> <span class="n">log</span><span class="p">,</span>
<span class="ow">or</span> <span class="n">reserved</span> <span class="k">for</span> <span class="n">possible</span> <span class="n">use</span> <span class="ow">in</span> <span class="n">future</span> <span class="n">versions</span><span class="o">.</span>
</pre></div>
</div>
</dd>
<dt>SessOpen - Client connection opened</dt><dd><p>The first record for a client connection, with the socket-endpoints of the connection.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">d</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-</span> <span class="n">File</span> <span class="n">descriptor</span> <span class="n">number</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+----</span> <span class="n">Local</span> <span class="n">TCP</span> <span class="n">port</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-------</span> <span class="n">Local</span> <span class="n">IPv4</span><span class="o">/</span><span class="mi">6</span> <span class="n">address</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">+----------</span> <span class="n">Socket</span> <span class="n">name</span> <span class="p">(</span><span class="kn">from</span> <span class="o">-</span><span class="n">a</span> <span class="n">argument</span><span class="p">)</span>
<span class="o">|</span>  <span class="o">+-------------</span> <span class="n">Remote</span> <span class="n">TCP</span> <span class="n">port</span>
<span class="o">+----------------</span> <span class="n">Remote</span> <span class="n">IPv4</span><span class="o">/</span><span class="mi">6</span> <span class="n">address</span>
</pre></div>
</div>
</dd>
<dt>Storage - Where object is stored</dt><dd><p>Type and name of the storage backend the object is stored in.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">s</span>
<span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">+-</span> <span class="n">Name</span> <span class="n">of</span> <span class="n">storage</span> <span class="n">backend</span>
<span class="o">+----</span> <span class="n">Type</span> <span class="p">(</span><span class="s2">&quot;malloc&quot;</span><span class="p">,</span> <span class="s2">&quot;file&quot;</span><span class="p">,</span> <span class="s2">&quot;persistent&quot;</span> <span class="n">etc</span><span class="o">.</span><span class="p">)</span>
</pre></div>
</div>
</dd>
<dt>TTL - TTL set on object</dt><dd><p>A TTL record is emitted whenever the ttl, grace or keep values for an object is set as well as whether the object is  cacheable or not.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span> <span class="p">[</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">u</span> <span class="o">%</span><span class="n">u</span> <span class="p">]</span> <span class="o">%</span><span class="n">s</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>    <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>    <span class="o">|</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>    <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>    <span class="o">+-</span> <span class="s2">&quot;cacheable&quot;</span> <span class="ow">or</span> <span class="s2">&quot;uncacheable&quot;</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>    <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+------</span> <span class="n">Max</span><span class="o">-</span><span class="n">Age</span> <span class="kn">from</span> <span class="nn">Cache</span><span class="o">-</span><span class="n">Control</span> <span class="n">header</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>    <span class="o">|</span>  <span class="o">|</span>  <span class="o">+---------</span> <span class="n">Expires</span> <span class="n">header</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>    <span class="o">|</span>  <span class="o">+------------</span> <span class="n">Date</span> <span class="n">header</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>    <span class="o">+---------------</span> <span class="n">Age</span> <span class="p">(</span><span class="n">incl</span> <span class="n">Age</span><span class="p">:</span> <span class="n">header</span> <span class="n">value</span><span class="p">)</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+--------------------</span> <span class="n">Reference</span> <span class="n">time</span> <span class="k">for</span> <span class="n">TTL</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-----------------------</span> <span class="n">Keep</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">+--------------------------</span> <span class="n">Grace</span>
<span class="o">|</span>  <span class="o">+-----------------------------</span> <span class="n">TTL</span>
<span class="o">+--------------------------------</span> <span class="s2">&quot;RFC&quot;</span><span class="p">,</span> <span class="s2">&quot;VCL&quot;</span> <span class="ow">or</span> <span class="s2">&quot;HFP&quot;</span>
</pre></div>
</div>
<p>The four optional fields are only present in “RFC” headers.</p>
<p>Examples:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">RFC</span> <span class="mi">60</span> <span class="mi">10</span> <span class="o">-</span><span class="mi">1</span> <span class="mi">1312966109</span> <span class="mi">1312966109</span> <span class="mi">1312966109</span> <span class="mi">0</span> <span class="mi">60</span> <span class="n">cacheable</span>
<span class="n">VCL</span> <span class="mi">120</span> <span class="mi">10</span> <span class="mi">0</span> <span class="mi">1312966111</span> <span class="n">uncacheable</span>
<span class="n">HFP</span> <span class="mi">2</span> <span class="mi">0</span> <span class="mi">0</span> <span class="mi">1312966113</span> <span class="n">uncacheable</span>
</pre></div>
</div>
</dd>
<dt>Timestamp - Timing information</dt><dd><p>Contains timing information for the Varnish worker threads.</p>
<p>Time stamps are issued by Varnish on certain events, and show the absolute time of the event, the time spent since the start of the work unit, and the time spent since the last timestamp was logged. See the TIMESTAMPS section below for information about the individual time stamps.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">s</span><span class="p">:</span> <span class="o">%</span><span class="n">f</span> <span class="o">%</span><span class="n">f</span> <span class="o">%</span><span class="n">f</span>
<span class="o">|</span>   <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>   <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-</span> <span class="n">Time</span> <span class="n">since</span> <span class="n">last</span> <span class="n">timestamp</span>
<span class="o">|</span>   <span class="o">|</span>  <span class="o">+----</span> <span class="n">Time</span> <span class="n">since</span> <span class="n">start</span> <span class="n">of</span> <span class="n">work</span> <span class="n">unit</span>
<span class="o">|</span>   <span class="o">+-------</span> <span class="n">Absolute</span> <span class="n">time</span> <span class="n">of</span> <span class="n">event</span>
<span class="o">+-----------</span> <span class="n">Event</span> <span class="n">label</span>
</pre></div>
</div>
</dd>
<dt>VCL_Error - VCL execution error message</dt><dd><p>Logs error messages generated during VCL execution.</p>
</dd>
<dt>VCL_Log - Log statement from VCL</dt><dd><p>User generated log messages insert from VCL through std.log()</p>
</dd>
<dt>VCL_acl - VCL ACL check results</dt><dd><p>Logs VCL ACL evaluation results.</p>
</dd>
<dt>VCL_call - VCL method called</dt><dd><p>Logs the VCL method name when a VCL method is called.</p>
</dd>
<dt>VCL_return - VCL method return value</dt><dd><p>Logs the VCL method terminating statement.</p>
</dd>
<dt>VCL_trace - VCL trace data</dt><dd><p>Logs VCL execution trace data.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">u</span> <span class="o">%</span><span class="n">u</span><span class="o">.%</span><span class="n">u</span><span class="o">.%</span><span class="n">u</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+-</span> <span class="n">VCL</span> <span class="n">program</span> <span class="n">line</span> <span class="n">position</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>  <span class="o">+----</span> <span class="n">VCL</span> <span class="n">program</span> <span class="n">line</span> <span class="n">number</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">+-------</span> <span class="n">VCL</span> <span class="n">program</span> <span class="n">source</span> <span class="n">index</span>
<span class="o">|</span>  <span class="o">+----------</span> <span class="n">VCL</span> <span class="n">trace</span> <span class="n">point</span> <span class="n">index</span>
<span class="o">+-------------</span> <span class="n">VCL</span> <span class="n">configname</span>
</pre></div>
</div>
<p>NB: This log record is masked by default.</p>
</dd>
<dt>VCL_use - VCL in use</dt><dd><p>Records the name of the VCL being used.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">s</span> <span class="p">[</span> <span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">s</span> <span class="p">]</span>
<span class="o">|</span>    <span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>    <span class="o">|</span>  <span class="o">+-</span> <span class="n">Name</span> <span class="n">of</span> <span class="n">label</span> <span class="n">used</span> <span class="n">to</span> <span class="n">find</span> <span class="n">it</span>
<span class="o">|</span>    <span class="o">+----</span> <span class="s2">&quot;via&quot;</span>
<span class="o">+---------</span> <span class="n">Name</span> <span class="n">of</span> <span class="n">VCL</span> <span class="n">put</span> <span class="ow">in</span> <span class="n">use</span>
</pre></div>
</div>
</dd>
<dt>VSL - VSL API warnings and error message</dt><dd><p>Warnings and error messages generated by the VSL API while reading the shared memory log.</p>
</dd>
<dt>VfpAcct - Fetch filter accounting</dt><dd><p>Contains name of VFP and statistics.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">s</span> <span class="o">%</span><span class="n">d</span> <span class="o">%</span><span class="n">d</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">|</span>  <span class="o">+-</span> <span class="n">Total</span> <span class="nb">bytes</span> <span class="n">produced</span>
<span class="o">|</span>  <span class="o">+----</span> <span class="n">Number</span> <span class="n">of</span> <span class="n">calls</span> <span class="n">made</span>
<span class="o">+-------</span> <span class="n">Name</span> <span class="n">of</span> <span class="nb">filter</span>
</pre></div>
</div>
<p>NB: This log record is masked by default.</p>
</dd>
<dt>Witness - Lock order witness records</dt><dd><p>Diagnostic recording of locking order.</p>
</dd>
<dt>WorkThread - Logs thread start/stop events</dt><dd><p>Logs worker thread creation and termination events.</p>
<p>The format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span><span class="n">p</span> <span class="o">%</span><span class="n">s</span>
<span class="o">|</span>  <span class="o">|</span>
<span class="o">|</span>  <span class="o">+-</span> <span class="p">[</span><span class="n">start</span><span class="o">|</span><span class="n">end</span><span class="p">]</span>
<span class="o">+----</span> <span class="n">Worker</span> <span class="n">struct</span> <span class="n">pointer</span>
</pre></div>
</div>
<p>NB: This log record is masked by default.</p>
</dd>
</dl>
</section>
</section>
<section id="timestamps">
<h3>TIMESTAMPS<a class="headerlink" href="#timestamps" title="Permalink to this headline">¶</a></h3>
<p>Timestamps are inserted in the log on completing certain events during
the worker thread’s task handling. The timestamps has a label showing
which event was completed. The reported fields show the absolute time
of the event, the time spent since the start of the task and the time
spent since the last timestamp was logged.</p>
<p>The timestamps logged automatically by Varnish are inserted after
completing events that are expected to have delays (e.g. network IO or
spending time on a waitinglist). Timestamps can also be inserted from
VCL using the std.timestamp() method. If one is doing time consuming
tasks in the VCL configuration, it’s a good idea to log a timestamp
after completing that task. This keeps the timing information in
subsequent timestamps from including the time spent on the VCL event.</p>
<section id="request-handling-timestamps">
<h4>Request handling timestamps<a class="headerlink" href="#request-handling-timestamps" title="Permalink to this headline">¶</a></h4>
<dl class="simple">
<dt>Start</dt><dd><p>The start of request processing (first byte received or
restart).</p>
</dd>
<dt>Req</dt><dd><p>Complete client request received.</p>
</dd>
<dt>ReqBody</dt><dd><p>Client request body processed (discarded, cached or passed to
the backend).</p>
</dd>
<dt>Waitinglist</dt><dd><p>Came off waitinglist.</p>
</dd>
<dt>Fetch</dt><dd><p>Fetch processing finished (completely fetched or ready for
streaming).</p>
</dd>
<dt>Process</dt><dd><p>Processing finished, ready to deliver the client response.</p>
</dd>
<dt>Resp</dt><dd><p>Delivery of response to the client finished.</p>
</dd>
<dt>Restart</dt><dd><p>Client request is being restarted.</p>
</dd>
</dl>
</section>
<section id="pipe-handling-timestamps">
<h4>Pipe handling timestamps<a class="headerlink" href="#pipe-handling-timestamps" title="Permalink to this headline">¶</a></h4>
<dl class="simple">
<dt>Pipe</dt><dd><p>Opened a pipe to the backend and forwarded the request.</p>
</dd>
<dt>PipeSess</dt><dd><p>The pipe session has finished.</p>
</dd>
</dl>
</section>
<section id="backend-fetch-timestamps">
<h4>Backend fetch timestamps<a class="headerlink" href="#backend-fetch-timestamps" title="Permalink to this headline">¶</a></h4>
<dl class="simple">
<dt>Start</dt><dd><p>Start of the backend fetch processing.</p>
</dd>
<dt>Bereq</dt><dd><p>Backend request sent.</p>
</dd>
<dt>Beresp</dt><dd><p>Backend response headers received.</p>
</dd>
<dt>BerespBody</dt><dd><p>Backend response body received.</p>
</dd>
<dt>Retry</dt><dd><p>Backend request is being retried.</p>
</dd>
<dt>Error</dt><dd><p>Backend request failed to vcl_backend_error.</p>
</dd>
</dl>
</section>
</section>
<section id="notice-messages">
<h3>NOTICE MESSAGES<a class="headerlink" href="#notice-messages" title="Permalink to this headline">¶</a></h3>
<p>Notice messages contain informational messages about the handling of a
request. These can be exceptional circumstances encountered that causes
deviation from the normal handling. The messages are prefixed with [core]
for core Varnish generated messages, or with [&lt;VMOD name&gt;] for VMOD
generated messages. The [core] messages are described in detail below, see
the individual VMOD documentation for messages from VMODs.</p>
<dl class="simple">
<dt>[core] Conditional fetch wait for streaming object</dt><dd><p>The backend answered 304 Not Modified on a conditional fetch using
an object that has not yet been fully fetched as the stale
template object. This can only happen when the TTL of the object
is less than the time it takes to fetch it. The fetch is halted
until the stale object is fully fetched, upon which the new object
is created as normal. While waiting, any grace time on the stale
object will be in effect.</p>
</dd>
</dl>
</section>
<section id="history">
<h3>HISTORY<a class="headerlink" href="#history" title="Permalink to this headline">¶</a></h3>
<p>This document was initially written by Poul-Henning Kamp, and later updated by
Martin Blix Grydeland.</p>
</section>
<section id="see-also">
<h3>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p><a class="reference internal" href="varnishhist.html#varnishhist-1"><span class="std std-ref">varnishhist</span></a></p></li>
<li><p><a class="reference internal" href="varnishlog.html#varnishlog-1"><span class="std std-ref">varnishlog</span></a></p></li>
<li><p><a class="reference internal" href="varnishncsa.html#varnishncsa-1"><span class="std std-ref">varnishncsa</span></a></p></li>
<li><p><a class="reference internal" href="varnishtop.html#varnishtop-1"><span class="std std-ref">varnishtop</span></a></p></li>
</ul>
</section>
<section id="copyright">
<h3>COPYRIGHT<a class="headerlink" href="#copyright" title="Permalink to this headline">¶</a></h3>
<p>This document is licensed under the same licence as Varnish
itself. See LICENCE for details.</p>
<ul class="simple">
<li><p>Copyright (c) 2006 Verdens Gang AS</p></li>
<li><p>Copyright (c) 2006-2015 Varnish Software AS</p></li>
</ul>
</section>
</section>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">VSL</a><ul>
<li><a class="reference internal" href="#varnish-shared-memory-logging">Varnish Shared Memory Logging</a><ul>
<li><a class="reference internal" href="#overview">OVERVIEW</a><ul>
<li><a class="reference internal" href="#vsl-tags">VSL tags</a></li>
</ul>
</li>
<li><a class="reference internal" href="#timestamps">TIMESTAMPS</a><ul>
<li><a class="reference internal" href="#request-handling-timestamps">Request handling timestamps</a></li>
<li><a class="reference internal" href="#pipe-handling-timestamps">Pipe handling timestamps</a></li>
<li><a class="reference internal" href="#backend-fetch-timestamps">Backend fetch timestamps</a></li>
</ul>
</li>
<li><a class="reference internal" href="#notice-messages">NOTICE MESSAGES</a></li>
<li><a class="reference internal" href="#history">HISTORY</a></li>
<li><a class="reference internal" href="#see-also">SEE ALSO</a></li>
<li><a class="reference internal" href="#copyright">COPYRIGHT</a></li>
</ul>
</li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="varnish-counters.html"
                        title="previous chapter">varnish-counters</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="vsl-query.html"
                        title="next chapter">vsl-query</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../_sources/reference/vsl.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="vsl-query.html" title="vsl-query"
             >next</a> |</li>
        <li class="right" >
          <a href="varnish-counters.html" title="varnish-counters"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" >The Varnish Reference Manual</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">VSL</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2014, Varnish Software AS.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 4.3.2.
    </div>
  </body>
</html>